# eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.shelve

Module implementing the shelve extension interface.

### Global Attributes

None

### Classes

Shelve | Class implementing the shelve extension interface.

### Functions

None

## Shelve

Class implementing the shelve extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Shelve | Constructor
__hgGetShelveNamesList | Private method to get the list of shelved changes.
hgCleanupShelves | Public method to delete all shelves.
hgDeleteShelves | Public method to delete named shelves.
hgShelve | Public method to shelve current changes of files or directories.
hgShelveBrowser | Public method to show the shelve browser dialog.
hgUnshelve | Public method to restore shelved changes to the project directory.
hgUnshelveAbort | Public method to abort the ongoing restore operation.
hgUnshelveContinue | Public method to continue the ongoing restore operation.
shutdown | Public method used to shutdown the shelve interface.

### Static Methods

None

#### Shelve (Constructor)

Shelve(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Shelve.__hgGetShelveNamesList

__hgGetShelveNamesList()

Private method to get the list of shelved changes.

Return:
  list of shelved changes (list of string)

#### Shelve.hgCleanupShelves

hgCleanupShelves()

Public method to delete all shelves.

#### Shelve.hgDeleteShelves

hgDeleteShelves(shelveNames=None)

Public method to delete named shelves.

shelveNames
  name of shelves to delete (list of string)

#### Shelve.hgShelve

hgShelve(name)

Public method to shelve current changes of files or directories.

name
  directory or file name (string) or list of directory or file names (list of string)

Return:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgShelveBrowser

hgShelveBrowser()

Public method to show the shelve browser dialog.

#### Shelve.hgUnshelve

hgUnshelve(shelveName="")

Public method to restore shelved changes to the project directory.

shelveName
  name of the shelve to restore (string)

Return:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgUnshelveAbort

hgUnshelveAbort()

Public method to abort the ongoing restore operation.

Return:
  flag indicating that the project should be reread (boolean)

#### Shelve.hgUnshelveContinue

hgUnshelveContinue()

Public method to continue the ongoing restore operation.

Return:
  flag indicating that the project should be reread (boolean)

#### Shelve.shutdown

shutdown()

Public method used to shutdown the shelve interface.

Up